//*********************************************
//*          Shader file for project albert
//*********************************************

textures/albert2/glass_1
{
	qer_editorimage textures/albert2/glass_1.tga
	qer_keyword window
	qer_keyword broken
	qer_keyword glass
	surfaceparm glass
//	cull none
	{
		map textures/albert2/ref.tga
		tcgen environment
		alphagen const .2
		blendFunc blend
	}
	{
		map textures/albert2/glass_1.tga
//		blendFunc blend
		depthWrite
		alphaFunc GE128
	nextbundle
		map $lightmap
	}
}




// cloudy sky shader


textures/albert2/mountain_sky
{
	qer_editorimage textures/albert2/rock_up.tga
	qer_keyword utility
	qer_keyword sky
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm sky
	skyParms env/mountain_sky 512 -
}



textures/albert/cloudlysky_dark
{
  q3map_lightimage textures/albert/darkclouds.tga 	
  qer_editorimage textures/albert/darkclouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap	
	surfaceparm sky	
	q3map_sun 1.0 1.0 1.0 120 220 60
	q3map_surfacelight 100
	skyparms - 512 -
	
	{
		map textures/albert/darknightsky.tga
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
		depthWrite
	}

	{
		map textures/albert/darkclouds.jpg
		blendfunc GL_DST_COLOR GL_ONE
		tcMod scroll -0.005 -0.005
		tcMod scale 5 5
	}
}



textures/albert2/clear_calm1
	{
		qer_editorimage textures/albert2/Water2.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
			
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/albert2/Water2b.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/albert2/Water2.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	

}


textures/albert2/vent01
{
qer_editorimage textures/albert2/vent01.tga       
	qer_keyword flat	
	qer_keyword metal
	surfaceParm metal

}